#pragma once

#include "LogEdit.h"

// forward decl.
class CAutoPatchPage;
class CManualPatchPage;
class CChecksumPage;
class CSettingOptionPage;

// PatchMakerSheet
class CPatchMakerSheet : public CPropertySheet
{
    DECLARE_DYNAMIC(CPatchMakerSheet)

public:
    CPatchMakerSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    CPatchMakerSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    virtual ~CPatchMakerSheet();

protected:
    DECLARE_MESSAGE_MAP()

public:

    CLogEdit& GetLogEdit() { return m_edLogMsg; }

    virtual BOOL OnInitDialog();
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

protected:
    
    virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

    CLogEdit m_edLogMsg;
};


